PTWEENS3(1)

NAME
ptweens3 - Python 3 Pyramid command

DESCRIPTION
usage: ptweens3 [-h] [config_uri] [config_vars ...]

Print all implicit and explicit tween objects used by a Pyramid application. The handler output includes whether the system is using an explicit tweens ordering (will be true when the "pyramid.tweens" deployment setting is used) or an implicit tweens ordering (will be true when the "pyramid.tweens" deployment setting is *not* used).

This command accepts one positional argument named "config_uri" which specifies the PasteDeploy config file to use for the interactive shell. The format is "inifile#name". If the name is left off, "main" will be assumed. Example: "ptweens myapp.ini#main".

  positional arguments:

config_uri
    The URI to the configuration file.

config_vars
    Variables required by the config file. For example, `http_port=%(http_port)s` would expect `http_port=8080` to be passed here.

  optional arguments:

-h, --help
    show this help message and exit